<?php
/*
Plugin Name: TrendPressr 
Description: Optimize your entire site with most searched for keywords in your niche!
Version: 1.0
Author: Daniel Green

*/

include 'scrapekeywords.php';
include 'simple_html_dom.php';
include 'optimization.php';

add_action( 'admin_menu', 'seo_plugin_menu' );
add_action( 'add_meta_boxes', 'seopAdminConfig' );
add_action('wp_head', 'seopDisplayKeywords');
add_action('admin_head', 'seopDate');
add_action( 'admin_init', 'seop_plugin_admin_init' );

register_activation_hook( __FILE__, 'seop_activate' );

function seop_activate(){
	$key =rand(1000000000000000,9999999999999999);
	$postid = 9999999999;
	update_post_meta($postid,'seopkey',$key);
	writeCookieFile($key);
}

function writeCookieFile($key){
	$myFile = '../wp-content/plugins/' . basename(dirname(__FILE__)) . '/cookies.txt';
	$fh = fopen($myFile, 'w') or die("can't open file");
	//ID=88b4e05a54947e99:U=ef8789dbde30f34f:FF=0:TM=1386859899:LM=1386860210:S=n9muyJ41VxvOyn4C
	$stringData = "#HttpOnly_accounts.google.com	FALSE	/	TRUE	1446319237	GAPS	1:wgbEkN_7LpmiAF1by285DCP74pxvtw:osy330f91riVf-Qj
accounts.google.com	FALSE	/	TRUE	0	GALX	_WfntjbSNNY
#HttpOnly_accounts.google.com	FALSE	/	TRUE	0	TC	AHnYQLy8AifhFF9dv_-OBGzHteyoE6vGyEtq1Z81g1slDKynz6JgQKO2heLds4etwas2dtXxHKEiyv2tuJ_KgLZid9nKXiq1-IKp9B1dK-MAFca6YstOMK6W_deL5ckmQoiOB0kPIvvQ
.google.com	TRUE	/	FALSE	1446319215	PREF	ID=".$key.":U=6d8c9e57236cca5a:FF=0:TM=1383247212:LM=1383247215:S=r4TaUREvChiK2T-B
#HttpOnly_.google.com	TRUE	/	FALSE	1399058415	NID	67=gjhogQjrUJtpKmEgrijIUvOEO4sGIunsYPP5nK-MO0ZxbDgo8-bGzr_mdp8vIrscpBX9MAVZrQzf6ovRhBedQJbnwD3T9dTr7m2dCxtfUGTrFOQ4S3Ak1g204Km83mvPxJwC
#HttpOnly_.google.ca	TRUE	/	FALSE	1399058413	NID	67=ESRsypOfKoabIcwV6xvRqEw_BgOKM4dnZNBaDao1E0VaeI45pHs-JPTpUmKbUsDFgWi82NLJYqLAowbmvGku-sO3sp1CfmKyzly2QLpJgwq1baAAsvEiZmpbMV3VrbWg
#HttpOnly_www.google.com	FALSE	/trends	FALSE	1414783215	I4SUserLocale	en_US
www.google.com	FALSE	/accounts/logout?hl=en-US&continue=http://www.google.com/	TRUE	0	GoogleAccountsLocale_session	en
accounts.google.com	FALSE	/	TRUE	0	GoogleAccountsLocale_session	en
.google.com	TRUE	/	FALSE	631152000	SID	EXPIRED
.google.com	TRUE	/	FALSE	631152000	HSID	EXPIRED
.google.com	TRUE	/	FALSE	631152000	SSID	EXPIRED
.google.com	TRUE	/	FALSE	631152000	APISID	EXPIRED
.google.com	TRUE	/	FALSE	631152000	SAPISID	EXPIRED
accounts.google.com	FALSE	/	FALSE	631152000	LSID	EXPIRED
.google.com	TRUE	/ads/measurement	FALSE	631152000	TAID	EXPIRED";
	fwrite($fh, $stringData);
	fclose($fh);
}


function seopDate(){
	echo "<script type='text/javascript'>
		jQuery(function() {
			jQuery('#popupDatepicker').datepick();
			jQuery('#popupDatepicker2').datepick();
		});

		
		</script>";
	
}

function seop_plugin_admin_init() {
	$siteurl = get_option('siteurl');
	
	wp_enqueue_script('jquery');
	wp_enqueue_script('SeopDatepicker',$siteurl.'/wp-content/plugins/' . basename(dirname(__FILE__)) . '/jquery.datepick.js', array( 'jquery' ) );
	
          // Respects SSL, Style.css is relative to the current file
        wp_register_style( 'seop-style', plugins_url('style.css', __FILE__) );	
        wp_enqueue_style( 'seop-style' );
	wp_register_style( 'datepick-style',  plugins_url('jquery.datepick.css', __FILE__) );	
	wp_enqueue_style( 'datepick-style' );
	
    }
  
function seo_plugin_menu() {
	add_menu_page( 'TrendPressr ', 'TrendPressr ', 'manage_options', 'seoplugin', 'seo_admin_page' );
	add_action( 'admin_init', 'seop_register_mysettings' );
}
function seop_register_mysettings() {
	//register our settings
	register_setting( 'seop-settings-group', 'defaultKeyword1' );
	register_setting( 'seop-settings-group', 'defaultKeyword2' );
	
}


function seo_admin_page(){
	$siteurl = get_option('siteurl');
	$manualURL = $siteurl . '/wp-content/plugins/' . basename(dirname(__FILE__)) . '/manual.pdf';
	
	$siteurl = get_option('siteurl');	
	$postid = 9999999999;
		
	/************Options****************/
	
	
	if (isset($_POST['seopUpdateOptions'])){
		update_post_meta($postid, 'searchkeyword1', $_POST['searchkeyword1']);
		update_post_meta($postid, 'searchkeyword2', $_POST['searchkeyword2']);
		update_post_meta($postid, 'seopTrendsPeriod', $_POST['seopTrendsPeriod']);
		update_post_meta($postid, 'seopTrendsLocation', $_POST['seopTrendsLocation']);	
		update_post_meta($postid, 'seopFromDate', $_POST['seopFromDate']);	
		update_post_meta($postid, 'seopToDate', $_POST['seopToDate']);	
	}
	$fromDate = get_post_meta($postid, 'seopFromDate',TRUE);	
	$toDate = get_post_meta($postid, 'seopToDate',TRUE);	
	
	$trendsPeriod = get_post_meta($postid, 'seopTrendsPeriod',TRUE);
	if (empty($trendsPeriod)){
		$trendsPeriod = "2004";
	}
	$trendsLocation = get_post_meta($postid, 'seopTrendsLocation',TRUE);	
	if (empty($trendsLocation)){
		$trendsLocation = "Worldwide";
	}
	$dateFrom =  $_POST['seopFromDate'];
	$dateTo =  $_POST['seopToDate'];
	
	add_filter( 'posts_where', 'seop_filter_dates_between' );
	$selectedposts = get_posts( array( 'numberposts' => -1,'suppress_filters' => false ) );
	remove_filter( 'posts_where', 'seop_filter_dates_between' );
	
		
	
	/********Optimization buttons******************/
	if (isset($_POST['seopOptimizetags'])) {
		$keywordArray = $_POST['seopKeyword'];
		foreach( $selectedposts as $post ) { 
			$postid = $post->ID;
			seopOptimizeTags($keywordArray, $postid);		
		}				
	}
	if (isset($_POST['seopOptimizekeywords'])) {
		
		$keywordArray = $_POST['seopKeyword'];
		foreach( $selectedposts as $post ) { 
			$postid = $post->ID;
			seopOptimizeKeywords($keywordArray, $postid);
		}	
	}
	if (isset($_POST['seopOptimizeimages'])) {
		
		$keywordArray = $_POST['seopKeyword'];
		foreach( $selectedposts as $post ) { 
			$postid = $post->ID;
			seopOptimizeImages($keywordArray, $postid);
		}	
	}
	if (isset($_POST['seopOptimizeAll'])) {
		
		$keywordArray = $_POST['seopKeyword'];
		foreach( $selectedposts as $post ) { 
			$postid = $post->ID;
			seopOptimizeAll($keywordArray, $postid);
		}	
	}
	if (isset($_POST['seopInsert'])) {
		
		$keywordArray = $_POST['seopKeyword'];
		seopInsert($keywordArray, $postid);
	}
		
	$keyword1 = get_post_meta($postid, 'searchkeyword1',TRUE);
	$keyword2 = get_post_meta($postid, 'searchkeyword2',TRUE);
	if (empty($keyword1)){	
		$keyword1 = get_option('defaultKeyword1');
	}	
	if (empty($keyword2) ){	
		$keyword2 =  get_option('defaultKeyword2');
	}
	
	$table1 = seopCreateTable($keyword1, $trendsPeriod, $trendsLocation);
	$table2 = seopCreateTable($keyword2, $trendsPeriod, $trendsLocation);
	
	
	
	$seopTags = get_post_meta($postid, 'seopTags',TRUE);
	$seopKeywords = get_post_meta($postid, 'seopKeywords',TRUE);
	$seopImages = get_post_meta($postid, 'seopImages',TRUE);
	$url = plugins_url(); 
	$logo = $url."/". basename(dirname(__FILE__)) ."/logo.png";
	
	 
		
	echo '<div class="wrap">
	<img src = "'.$logo.'">';
	?>
	
	<form method="post" action="options.php">
	    <?php settings_fields( 'seop-settings-group' ); ?>
	    
	   
	    <table class="form-table">
				
		<tr valign="top">
		<th scope="row">Default Keyword 1</th>
		<td><input type="text" name="defaultKeyword1" value="<?php echo get_option('defaultKeyword1'); ?>" /></td>
		</tr>
		<tr valign="top">
		<th scope="row">Default Keyword 2</th>
		<td><input type="text" name="defaultKeyword2" value="<?php echo get_option('defaultKeyword2'); ?>" /></td>
		</tr>
		
	    </table>
	    
    <?php submit_button(); ?>
    </form>
    <hr />
   

	
    
<?php } 



function seop_filter_dates_between( $where = '' ) {
	global $wpdb;
	$postid = 9999999999;
	$from = get_post_meta($postid, 'seopFromDate',TRUE);	
	$to = get_post_meta($postid, 'seopToDate',TRUE);	
	$where .= " AND post_date >= '$from' AND post_date <= '$to'";
	return $where;
}

function seopAdminConfig() {
	add_meta_box(  'seopConfigBox', 'TrendPressr ','seopMetaBoxCallback', 'post', 'normal', 'low'); 
	add_meta_box(  'seopConfigBox', 'TrendPressr ','seopMetaBoxCallback', 'page', 'normal', 'low'); 
	
}

function seopMetaBoxCallback(){
	$siteurl = get_option('siteurl');	
	$postid = get_the_ID();
		
	/************Options****************/
	
	
	if (isset($_POST['seopUpdateOptions'])){
		update_post_meta($postid, 'searchkeyword1', $_POST['searchkeyword1']);
		update_post_meta($postid, 'searchkeyword2', $_POST['searchkeyword2']);
		update_post_meta($postid, 'seopTrendsPeriod', $_POST['seopTrendsPeriod']);
		update_post_meta($postid, 'seopTrendsLocation', $_POST['seopTrendsLocation']);		
	}
	$trendsPeriod = get_post_meta($postid, 'seopTrendsPeriod',TRUE);
	if (empty($trendsPeriod)){
		$trendsPeriod = "2004";
	}
	$trendsLocation = get_post_meta($postid, 'seopTrendsLocation',TRUE);	
	if (empty($trendsLocation)){
		$trendsLocation = "Worldwide";
	}
	
	/********Optimization buttons******************/
	if (isset($_POST['seopOptimizetags'])) {
		$keywordArray = $_POST['seopKeyword'];
		seopOptimizeTags($keywordArray, $postid);		
	}
	if (isset($_POST['seopOptimizekeywords'])) {
		
		$keywordArray = $_POST['seopKeyword'];
		seopOptimizeKeywords($keywordArray, $postid);
	}
	if (isset($_POST['seopOptimizeimages'])) {
		
		$keywordArray = $_POST['seopKeyword'];
		seopOptimizeImages($keywordArray, $postid);
	}
	if (isset($_POST['seopOptimizeAll'])) {
		
		$keywordArray = $_POST['seopKeyword'];
		seopOptimizeAll($keywordArray, $postid);
	}
	if (isset($_POST['seopInsert'])) {
		
		$keywordArray = $_POST['seopKeyword'];
		seopInsert($keywordArray, $postid);
	}
		
	$keyword1 = get_post_meta($postid, 'searchkeyword1',TRUE);
	$keyword2 = get_post_meta($postid, 'searchkeyword2',TRUE);
	if (empty($keyword1)){	
		$keyword1 = get_option('defaultKeyword1');
	}	
	if (empty($keyword2) ){	
		$keyword2 =  get_option('defaultKeyword2');
	}
	
	$table1 = seopCreateTable($keyword1, $trendsPeriod, $trendsLocation);
	$table2 = seopCreateTable($keyword2, $trendsPeriod, $trendsLocation);
	
	
	
	$seopTags = get_post_meta($postid, 'seopTags',TRUE);
	$seopKeywords = get_post_meta($postid, 'seopKeywords',TRUE);
	$seopImages = get_post_meta($postid, 'seopImages',TRUE);
	
	echo"
	</form>
	<form   method='post' action = '' name = 'seopForm' >
		<div class = 'seopContainer'>
			<div class = 'seopTrendsOptions'>
				<strong>Select Trend Period: </strong> 
				<select name ='seopTrendsPeriod' >";
					if ($trendsPeriod == '7'){
						echo"
						<option value = '2004'>2004 - Present</option>
						<option value = '7' selected = 'selected'>Past 7 Days</option>
						<option value = '30'>Past 30 Days</option>
						<option value = '90'>Past 90 Days</option>
						<option value = '12'>Past 12 Months</option>";
					}
					else if ($trendsPeriod == '30'){
						echo"
						<option value = '2004'>2004 - Present</option>
						<option value = '7'>Past 7 Days</option>
						<option value = '30'  selected = 'selected'>Past 30 Days</option>
						<option value = '90'>Past 90 Days</option>
						<option value = '12'>Past 12 Months</option>";
					}	
					else if ($trendsPeriod == '90'){
						echo"
						<option value = '2004'>2004 - Present</option>
						<option value = '7'>Past 7 Days</option>
						<option value = '30'>Past 30 Days</option>
						<option value = '90' selected = 'selected'>Past 90 Days</option>
						<option value = '12'>Past 12 Months</option>";
					}	
					else if ($trendsPeriod == '12'){
						echo"
						<option value = '2004'>2004 - Present</option>
						<option value = '7'>Past 7 Days</option>
						<option value = '30'>Past 30 Days</option>
						<option value = '90' >Past 90 Days</option>
						<option value = '12' selected = 'selected'>Past 12 Months</option>";
					}
					else{
						echo"
						<option value = '2004'  selected = 'selected'>2004 - Present</option>
						<option value = '7'>Past 7 Days</option>
						<option value = '30'>Past 30 Days</option>
						<option value = '90' >Past 90 Days</option>
						<option value = '12'>Past 12 Months</option>";
					
					}
				echo"
				</select>	
				
			</div>
			<div class = 'seopTrendsOptions'>
				<strong>Select Location: </strong> 
				<select name ='seopTrendsLocation' >";
					if ($trendsLocation == 'GB'){
						echo"
						<option value = 'Worldwide'>Worldwide</option>
						<option value = 'US'>United States</option>
						<option value = 'GB' selected = 'selected'>United Kingdom</option>
						<option value = 'AU'>Australia</option>
						<option value = 'CA'>Canada</option>
						<option value = 'IN'>India</option>
						";
					}
					else if ($trendsLocation == 'US'){
						echo"
						<option value = 'Worldwide'>Worldwide</option>
						<option value = 'US' selected = 'selected'>United States</option>
						<option value = 'GB'>United Kingdom</option>
						<option value = 'AU'>Australia</option>
						<option value = 'CA'>Canada</option>
						<option value = 'IN'>India</option>
						";
					}	
					else if ($trendsLocation == 'AU'){
						echo"
						<option value = 'Worldwide'>Worldwide</option>
						<option value = 'US'>United States</option>
						<option value = 'GB'>United Kingdom</option>
						<option value = 'AU' selected = 'selected'>Australia</option>
						<option value = 'CA'>Canada</option>
						<option value = 'IN'>India</option>
						";
					}	
					else if ($trendsLocation == 'CA'){
						echo"
						<option value = 'Worldwide'>Worldwide</option>
						<option value = 'US'>United States</option>
						<option value = 'GB'>United Kingdom</option>
						<option value = 'AU'>Australia</option>
						<option value = 'CA' selected = 'selected'>Canada</option>
						<option value = 'IN'>India</option>
						";
					}
					else if ($trendsLocation == 'IN'){
						echo"
						<option value = 'Worldwide'>Worldwide</option>
						<option value = 'US'>United States</option>
						<option value = 'GB'>United Kingdom</option>
						<option value = 'AU'>Australia</option>
						<option value = 'CA'>Canada</option>
						<option value = 'IN' selected = 'selected'>India</option>
						";
					
					}
					else{
						echo"
						<option value = 'Worldwide' selected = 'selected'>Worldwide</option>
						<option value = 'US'>United States</option>
						<option value = 'GB'>United Kingdom</option>
						<option value = 'AU'>Australia</option>
						<option value = 'CA'>Canada</option>
						<option value = 'IN' >India</option>
						";
					}
				echo"
				</select>	
				
			</div>
			
			<div class = 'seopKeywordList'>
				<strong>Keyword 1: </strong> <input type='text' name='searchkeyword1' value ='".$keyword1."'>
				".$table1."
			</div>
			<div class = 'seopKeywordList'>
				<strong>Keyword 2: </strong> <input type='text' name='searchkeyword2' value ='".$keyword2."'>
				".$table2."
			</div>
			<div class = 'seopOptimizeButtons'>
				<div class = 'seopOptimizeButton'>
					<input type='submit' name='seopUpdateOptions' value='Update Results' style='width: 150px;'>
				</div>	
				<div class = 'seopOptimizeButton'>
					<input type='submit'  name ='seopOptimizetags' value='Optimize Tags'  style='width: 150px;'>					
				</div>				
				<div class = 'seopOptimizeButton'>
					<input type='submit'  name ='seopOptimizekeywords' value='Optimize Keywords'  style='width: 150px;'>					
				</div>
				<div class = 'seopOptimizeButton'>
					<input type='submit' name ='seopOptimizeimages' value='Optimize Images'  style='width: 150px;'>					
				</div>
				<div class = 'seopOptimizeButton'>
					<input type='submit' name ='seopOptimizeAll' value='Optimize All'  style='width: 150px;'>					
				</div>
				<div class = 'seopOptimizeButton'>
					<input type='submit' name ='seopInsert' value='Insert Into Post'  style='width: 150px;'>					
				</div>	
			</div>
		
		
		
	</form>	
			<div class = 'seopStatusDisplay'>
				<strong>Tags Optimized On: </strong>";
				if(!empty($seopTags)){	
					foreach ($seopTags as $seopTag){
						echo $seopTag.",";
					}
				}	
				echo"<hr>
			
				<strong>Keywords Optimized On: </strong>";
				if(!empty($seopKeywords)){	
					foreach ($seopKeywords as $seopKeyword){
						echo $seopKeyword.",";
					}
				}	
				echo"<hr>
				
				<strong>Images Optimized On: </strong>";
				if(!empty($seopImages)){	
					foreach ($seopImages as $seopImage){
						echo $seopImage.",";
					}
				}	
				echo"<hr>
			</div>	
";}


?>